Subject: Re: bug#47937: 27.1; Invisible text property updated only for a portion of buffer
From: Eli Zaretskii <[email-masked]>
To: Arthur Miller <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Apr 2021 09:46:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arthur Miller <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 21 Apr 2021 22:10:45 +0200
> 
> >> Because you have font-lock-mode turned on.  And JIT font-lock begins
> >> by wiping out all the text properties.
> >
> > I should clarify this, I guess: this is specific to Org buffers, see
> > org-unfontify-region.  And "all text properties" is an exaggeration:
> > it removes many properties, but not all of them.
> 
> Allright, thank you for the excellent clarification. I guess I should go
> for custom visibility spec instead of plain invisible property, so that
> my text property survive font lock.
> 
> Please close the bug and thanks.

I'm closing the bug, but I suggest to take this up with Org
developers, because I think org-unfontify-region removes too many
properties in a way that is too indiscriminate.  They should ideally
only remove the properties they themselves add.